> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete cart

> Removes the cart corresponding to the provided cart ID.

The Cart ID from the [Create cart](/v3/api-reference/carts-v3/carts/carts) endpoint is used in the path parameter.




## OpenAPI

````yaml ShopperXP delete /orchestrator/carts/{cartId}
openapi: 3.0.1
info:
  title: Cart Orchestrator API
  description: API for managing shopping carts
  version: 3.0.0
servers:
  - url: https://api.fabric.inc/v3
    description: Production server
  - url: https://stg.api.fabric.inc/v3
    description: Staging server
security:
  - bearerAuth: []
tags:
  - name: Carts
    description: >-
      Cart endpoints are used to perform basic cart operations, such as create,
      update, delete and more.
  - name: LineItems
    description: >-
      LineItem endpoints are used to performbasic lineItem operations, such as
      create, update, delete and more.
  - name: CartPayments
    description: >-
      CartPayments endpoints are used to authorize or void payments that are
      located within the shopping cart.
  - name: OrderDrafts
    description: >-
      Order draft endpoints are used to create an order draft or get a generated
      order draft.
paths:
  /orchestrator/carts/{cartId}:
    delete:
      tags:
        - Carts
      summary: Delete cart
      description: >
        Removes the cart corresponding to the provided cart ID.


        The Cart ID from the [Create
        cart](/v3/api-reference/carts-v3/carts/carts) endpoint is used in the
        path parameter.
      operationId: deleteCart
      parameters:
        - $ref: '#/components/parameters/XFabricTenantId'
        - $ref: '#/components/parameters/XFabricRequestId'
        - $ref: '#/components/parameters/XFabricChannelId'
        - name: cartId
          in: path
          required: true
          schema:
            type: string
          description: >-
            The 24-character system-generated Cart ID. This ID is generated
            using the [Create cart](/v3/api-reference/carts-v3/carts/carts)
            endpoint.
      responses:
        '204':
          description: Delete entire cart
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '422':
          description: Unprocessable Orchestration Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableOrchestrationError'
components:
  parameters:
    XFabricTenantId:
      name: x-fabric-tenant-id
      in: header
      required: true
      schema:
        type: string
      description: >
        A header used by fabric to identify the tenant making the request. You
        must include tenant id in the authentication header for an API request
        to access any of fabric’s endpoints. You can retrieve the tenant id ,
        which is also called account id, from
        [Copilot](/v3/platform/settings/account-details/getting-the-account-id).
        This header is required.
    XFabricRequestId:
      name: x-fabric-request-id
      in: header
      required: false
      schema:
        type: string
      description: Unique request ID for tracking.
    XFabricChannelId:
      name: x-fabric-channel-id
      in: header
      required: true
      schema:
        type: string
      description: >-
        x-fabric-channel-id identifies the sales channel where the API request
        is being made; primarily for multichannel use cases. The channel ids are
        12 corresponding to US and 13 corresponding to Canada. The default
        channel id is 12. This field is required.
  responses:
    BadRequest:
      description: Bad request
    Unauthorized:
      description: Unauthorized
  schemas:
    UnprocessableOrchestrationError:
      type: object
      properties:
        type:
          type: string
          example: UNPROCESSABLE_ORCHESTRATION
        message:
          type: string
          example: 4xx Error from orchestration dependency
        errors:
          type: array
          items:
            $ref: '#/components/schemas/OrchestrationError'
    OrchestrationError:
      type: object
      properties:
        type:
          type: string
          example: NOT_FOUND
        message:
          type: string
          example: >-
            404 Not Found from POST
            https://api.fabric.inc/carts/326949f9-7c25-4983-9848-b2061abb217dl/items/batch
        code:
          type: integer
          example: 404
        source:
          type: string
          example: >-
            POST
            https://api.fabric.inc/carts/326949f9-7c25-4983-9848-b2061abb217dl/items/batch
        details:
          $ref: '#/components/schemas/ErrorDetails'
    ErrorDetails:
      type: object
      properties:
        type:
          type: string
          example: CART_NOT_FOUND
        message:
          type: string
          example: Cart not found
        errors:
          type: array
          items:
            type: string
          example: []
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Include the ```Bearer<token>``` header where the ```<token>``` is the
        authentication token generated from the [Getting Started with fabric
        APIs](/v3/api-reference/getting-started/getting-started-with-fabric-apis)
        process.

````